package Package1;

public class MIDIPitch2 {

    public static void main(String[] args) {
        if (args.length != 1) {
            System.out.println("Numero di argomenti errato, uso: MIDIPitch nota");
            System.exit(1);
        }
        int pitch = -1;
        try {
            pitch = Integer.parseInt(args[0]);
        } catch (NumberFormatException e) {
            System.out.println("Valore di pitch errato ('" + pitch + "'). Il valore deve essere compreso tra 0 e 127");
            System.exit(1);
        }
        if (pitch < 0 || pitch > 127) {
            System.out.println("Valore di pitch errato. Il valore deve essere compreso tra 0 e 127");
            System.exit(1);
        }
        String[] notes = {"Do","Do","Re","Re","Mi","Fa","Fa","Sol","Sol","La","La","Si"};
        System.out.println(notes[pitch % 12]);
    }
}
