package Package1;

public class NotePitchCharCompare {

    public static char getNoteChar(String arg) {
        char firstChar = arg.charAt(0);
        if (firstChar < 'A' || firstChar > 'G')
            return '\u0000';
        else
            return firstChar;
    }
    
    public static int getNoteVal(char note) {
        switch (note) {
            case 'C': return 0;
            case 'D': return 1;
            case 'E': return 2;
            case 'F': return 3;
            case 'G': return 4;
            case 'A': return 5;
            case 'B': return 6;
            default: return -1;
        }
    }

    // L'esecuzione di questo programma richiede necessariamente l'immissione di 2 note (formato: C,D,E,F,G,A,B) all'avvio
    public static void main(String[] args) {
        if (args.length != 2) {
            System.out.println("Numero di argomenti errato: e' necessario inserire due valori");
            System.exit(1);
        }
        char note1 = getNoteChar(args[0]);
        char note2 = getNoteChar(args[1]);
        if (note1 == '\u0000' || note2 == '\u0000') {
            System.out.println("Valore dell'argomento errato: e' necessario che ogni nota abbia un valore tra i seguenti: C,D,E,F,G,A,B");
            System.exit(1);
        }
        System.out.println("La nota piu' acuta e' " + ((getNoteVal(note1) > getNoteVal(note2)) ? note1 : note2));
    }

}
