package Package1;


import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.RenderingHints;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.WindowConstants;

public class Graphics1 extends JFrame {
    
    public class MyPanel extends JPanel {
        @Override
        public void paintComponent(Graphics g) {
            super.paintComponent(g);
            ((Graphics2D)g).setRenderingHint(RenderingHints.KEY_ANTIALIASING,
                          RenderingHints.VALUE_ANTIALIAS_ON);
            int width = getSize().width;
            int height = getSize().height;
            g.setColor(Color.BLUE);
            g.drawRoundRect(width / 6, height / 6,
                    2 * width / 3, 2 * height / 3, 15, 15);
            g.setColor(Color.RED);
            g.drawString("Archi verdi dentro rettangolo blu",
                    width / 6, height / 6 - g.getFontMetrics().getDescent() * 2);
            int centerX = width / 2;
            int centerY = height / 2;
            int maxRadius = Math.min(width / 3, height / 3);
            float multRadius = maxRadius / 10f;
            float multColor = 255 / 10f;
            for (int i = 10; i > 0; i--) {
                g.setColor(new Color(0, (int)(i * multColor), 0));
                g.fillArc((int)(centerX - i * multRadius), (int)(centerY - i * multRadius),
                        (int)(2 * i * multRadius), (int)(2 * i * multRadius), 0, i * 36);
            }
        }
    }
    
    MyPanel panel;

    public Graphics1(String title, int width, int height) {
        super(title);
        panel = new MyPanel();
        panel.setBackground(Color.WHITE);
        add(panel);
        setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
        setSize(width, height);
        setVisible(true);
    }
    
    public static void main(String[] args) {
        Graphics1 frame = new Graphics1("Esempio disegno", 500, 400);
    }
}
